Bug 55259 - Weston's xwayland no longer exports the DISPLAY variable
Summary: Weston's xwayland no longer exports the DISPLAY variable
Status: RESOLVED FIXED
Alias: None
Product: Wayland
Classification: Unclassified
Component: weston (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Tiago Vignatti
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-23 22:38 UTC by nerdopolis1
Modified: 2012-10-25 15:52 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nerdopolis1 2012-09-23 22:38:07 UTC
Hi
It seems that the xwayland component for weston no longer creates the X11 DISPLAY variable, and it must be manually set before xwayland apps work
Comment 1 Pekka Paalanen 2012-09-24 06:49:22 UTC
Indeed, I noticed it too:
http://lists.freedesktop.org/archives/wayland-devel/2012-September/005367.html
Comment 2 Tiago Vignatti 2012-09-25 12:59:51 UTC
Hi. I've sent a fix to the ml:

http://lists.freedesktop.org/archives/wayland-devel/2012-September/005493.html
Comment 3 Kristian Høgsberg 2012-10-04 14:59:47 UTC
Fixed in b7dbbd6fc79a82d8230b61ec12b9dabc5411db65.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.